fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_largeObject_100mm.asc');
a=fscanf(fid,'%f',[13,inf]);
a=a';
fclose(fid);

fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_largeObject_100mm_selection.txt');
sel=fscanf(fid,'%f',[2,inf]);
sel=sel';
fclose(fid);

fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_object_periods.txt');
periods_object=fscanf(fid,'%f',[1,inf]);
periods_object=periods_object';
fclose(fid);

fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_periods.txt');
periods=fscanf(fid,'%f',[1,inf]);
periods=periods';
fclose(fid);

[nSamp, dummy]=size(sel);

dt=0.02;
rhoModel=1460;
scale=39.8611;
rho=1000;
dimension=0.1003;
%dimension=0.0753;

selInteger=sel./dt;

[b,c]=size(a);
aNew=zeros(b,13);

for i=1:nSamp
aNew(selInteger(i,1):selInteger(i,2),:)=a(selInteger(i,1):selInteger(i,2),:);
end

heave=aNew(:,4);
surfaceMoonpool=((aNew(:,6)+aNew(:,7)+aNew(:,8)+aNew(:,9)+aNew(:,10)+aNew(:,11))./6); %-aNew(:,4);
surfaceOutside=(((aNew(:,12))./1)-aNew(:,4));% .*0.5 + 0.5.*aNew(:,12);
heave=-heave;
heave_vel=zeros(1,length(heave));
heave_acc=zeros(1,length(heave));
for i=2:length(heave)-1
    heave_vel(i)=(heave(i+1)-heave(i-1))./(2.*dt);
end
heave_vel(1)=heave_vel(2);
heave_vel(length(heave))=heave_vel(length(heave)-1);
for i=2:length(heave)-1
    heave_acc(i)=(heave_vel(i+1)-heave_vel(i-1))./(2.*dt);
end
heave_acc(1)=heave_acc(2);
heave_acc(length(heave))=heave_acc(length(heave)-1);

force=((aNew(:,2)+aNew(:,3)).*9.81-rhoModel*dimension*dimension*0.59*heave_acc(:))./0.59;

plot(aNew(46750:48500,1),force(46750:48500))
smooth_force=mslowess(a(:,1),force,'Order',1);
force=smooth_force;
hold on
plot(aNew(46750:48500,1),force(46750:48500))

return


for l=1:nSamp
j=1;
sum=0;
sum2=0;
sum3=0;
clear dummy
dummy=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if surfaceMoonpool(i)>surfaceMoonpool(i-1) && surfaceMoonpool(i)>surfaceMoonpool(i+1) && surfaceMoonpool(i+1)>0.00001 && surfaceMoonpool(i-1)>0.00001
        moonpoolMax(l,j)=surfaceMoonpool(i);
        sum=sum+moonpoolMax(l,j);
        sum2=sum2+abs(force(i));
        sum3=sum3+dummy;
        dummy=abs(force(i+round(0.25.*periods_object(l)./dt)));
        j=j+1;
    end
end
moonpoolMaxAverage(l)=sum./(j-1);
velocityMax(l)=(2.*pi./periods_object(l)).*moonpoolMaxAverage(l);
accelerationMax(l)=(2.*pi./periods_object(l)).*velocityMax(l);
force_accMax(l)=sum2./(j-1);
force_velMax(l)=sum3./(j-2);
end

for l=1:nSamp
k=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if surfaceOutside(i)>surfaceOutside(i-1) && surfaceOutside(i)>surfaceOutside(i+1) && surfaceOutside(i+1)>0.00001 && surfaceOutside(i-1)>0.00001
        outsideMax(l,k)=surfaceOutside(i);
        sum=sum+outsideMax(l,k);
        k=k+1;
    end
end
outsideMaxAverage(l)=sum./(k-1);
end

for l=1:nSamp
k=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if abs(force(i))>abs(force(i-1)) && abs(force(i))>abs(force(i+1)) && abs(force(i+1))>0.00001 && abs(force(i-1))>0.00001
        forceMax(l,k)=abs(force(i));
        sum=sum+forceMax(l,k);
        k=k+1;
    end
end
forceMaxAverage(l)=(sum./(k-1));
end

for l=1:nSamp
k=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if heave(i)>heave(i-1) && heave(i)>heave(i+1) && heave(i+1)>0.00001 && heave(i-1)>0.00001
        heaveMax(l,k)=heave(i);
        sum=sum+heaveMax(l,k);
        k=k+1;
    end
end
heaveMaxAverage(l)=sum./(k-1);
end


moonpoolRAO=moonpoolMaxAverage./heaveMaxAverage;
outsideRAO=outsideMaxAverage./heaveMaxAverage;
force_heaveRAO=forceMaxAverage.*scale./(heaveMaxAverage.*1000);
force_limWaveRAO=forceMaxAverage.*scale./(moonpoolMaxAverage.*1000);
force_unWaveRAO=forceMaxAverage(1:length(moonpoolUnMaxAverage)).*scale./(moonpoolUnMaxAverage.*1000);

Cd=abs(force_velMax./(0.5.*rho.*dimension.*velocityMax.*velocityMax));
Ca=abs((force_accMax)./(rho.*dimension.*dimension.*accelerationMax))-1;


figure(1)
hold on
p1=plot(periods_object.*sqrt(scale),force_unWaveRAO);
title('2D force transfer function, large object');
xlabel('Period [s]');
ylabel('Force per length/empty moonpool wave [kN/m/m]');
set(p1,'LineWidth',2)
grid on
%%%figure(2)
%hold on
%p2=plot(periods_object.*sqrt(scale),Ca);
%title('Calculated added mass coefficient, large object');
%xlabel('Period [s]');
%ylabel('Ca');
%set(p2,'LineWidth',2)
%grid on
%figure(3)
%hold on
%p3=plot(periods_object.*sqrt(scale),Cd);
%title('Calculated drag coefficient, large object');
%xlabel('Period [s]');
%ylabel('Cd');
%set(p3,'LineWidth',2)
%grid on


%hold on
%p=plot(periods_object.*sqrt(scale),moonpoolRAO);
%title('Relative moonpool wave elevation RAO, small object');
%xlabel('Period [s]');
%ylabel('Wave elevation/heave [m/m]');
%set(p,'LineWidth',2)
grid on

















