% Viking empty: 555, 182
% Viking small: 59, 342
% Viking large: 130, 415
% Trygve: 376 575

heaveTop=555;
fluidTop=182;
heaveAmp=15; %mm

heave=zeros(1,nTimeSteps);
timeInt=1:nTimeSteps;
time=timeInt./500;

for i=1:nTimeSteps
    heave(i)=heaveAmp.*cos((2.*pi./period).*(time(i)-heaveTop./500));
end

evaluationPoints=zeros(8,1);
for i=1:8
    evaluationPoints(i)=fluidTop+round((i-1).*period.*500./8);
    if evaluationPoints(i)>nTimeSteps
        evaluationPoints(i)=evaluationPoints(i)-nTimeSteps;
    end
end


skip=3;
plotdim=[0,400,-250,0];
fac=50;

for i=1:8
figure(i)

   %hp=pcolor(X(:,:,evaluationPoints(i)),Y(:,:,evaluationPoints(i)),sqrt(V(:,:,evaluationPoints(i)).^2+U(:,:,evaluationPoints(i)).^2));
   hp=pcolor(X(:,:,evaluationPoints(i)),Y(:,:,evaluationPoints(i)),V_sd(:,:,evaluationPoints(i)));
   %hp=pcolor(X(:,:,i),Y(:,:,i),V_phase(:,:,i));
   set(gca,'YDir','normal')
   set(hp,'EdgeColor','none')
   colormap(hot)
   colorbar
   caxis([0 0.2])
hold on


%quiver(X(1:skip:end,1:skip:end,evaluationPoints(i)),Y(1:skip:end,1:skip:end,evaluationPoints(i)),...
 %   fac.*U(1:skip:end,1:skip:end,evaluationPoints(i)),fac.*V(1:skip:end,1:skip:end,evaluationPoints(i)),0,'w');
axis(plotdim)
title([num2str((i-1).*45) ' degrees of piston cycle (0 degrees = max fluid elevation) '])
%xlabel('Coloured by velocity magnitude, see legend')
saveas(gcf,[num2str((i-1).*45) 'deg.jpg'])
saveas(gcf,[num2str((i-1).*45) 'deg.fig'])
hold off

end


plotdim=[0,400,-0.6,0.6];
figure(9)
for i=1:8
    if i ~= 10
p2=plot(X(1,:,1),V_phase(round(0.728*length(X(1,:,1))-heave(evaluationPoints(i)).*2.65./16),:,evaluationPoints(i)));
set(p2,'LineWidth',2)
axis(plotdim)
title(' Vertical velocity profiles at inlet over one cycle')
xlabel('Position [mm]')
ylabel('Vertical velocity [m/s]')
h=legend('45 deg','90 deg','135 deg','225 deg','270 deg','315 deg');
hold on
    end
end
hold off


V1=zeros(1,nTimeSteps);
V2=zeros(1,nTimeSteps);
V3=zeros(1,nTimeSteps);
Vmean=zeros(1,nTimeSteps);

V1plot=zeros(1,nTimeSteps);
V2plot=zeros(1,nTimeSteps);
V3plot=zeros(1,nTimeSteps);
Vmeanplot=zeros(1,nTimeSteps);

%Viking empty: 40,50,63, 35:94
%Viking small: 36,41,46  35:50
%Viking large: 36,40,43, 35:46
%Trygve + empty: 46,55,63        34:94

for i=1:nTimeSteps
    V3(i)=V_phase(round(0.728*length(X(1,:,1))-heave(i).*2.65./16),46,i);
    V2(i)=V_phase(round(0.728*length(X(1,:,1))-heave(i).*2.65./16),41,i);
    V1(i)=V_phase(round(0.728*length(X(1,:,1))-heave(i).*2.65./16),36,i);
    dummy=0;
    for j=35:50
        dummy=dummy+V_phase(round(0.728*length(X(1,:,1))-heave(i).*2.65./16),j,i);
    end
    Vmean(i)=dummy./length(35:50);
end

for i=1:nTimeSteps
    if i+heaveTop <= nTimeSteps
    V1plot(i)=V1(i+heaveTop);
    V2plot(i)=V2(i+heaveTop);
    V3plot(i)=V3(i+heaveTop);
    Vmeanplot(i)=Vmean(i+heaveTop);
    else
    V1plot(i)=V1(i+heaveTop-nTimeSteps);
    V2plot(i)=V2(i+heaveTop-nTimeSteps);
    V3plot(i)=V3(i+heaveTop-nTimeSteps);
    Vmeanplot(i)=Vmean(i+heaveTop-nTimeSteps);
    end
end

plotdim=[0,1.17,-0.5,0.5];
figure(10)
p3=plot(time,V1plot,time,V2plot,time,V3plot,time,Vmeanplot);
title('Velocities at selected points and mean velocity over one cycle')
set(p3,'LineWidth',2)
xlabel('Time [s]')
ylabel('Vertical velocity [m/s]')
hleg1 = legend('Sampling point 1','Sampling point 2','Sampling point 3','Mean velocity','Location','SouthWest');
axis(plotdim)
saveas(gcf,'velocity_points.jpg')
saveas(gcf,'velocity_points.fig')




















